"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const typeorm_1 = require("typeorm");
const path_1 = __importDefault(require("path"));
const tool_1 = require("../tool");
class DatabaseConnector {
    static async createConnection(config) {
        return typeorm_1.createConnection(Object.assign(Object.assign({ type: 'postgres' }, config), { entities: [path_1.default.normalize(this.entitiesPath)], migrations: [path_1.default.normalize(this.migrationsPath)] }));
    }
}
exports.default = DatabaseConnector;
DatabaseConnector.entitiesPath = path_1.default.join(tool_1.PathsResolverTool.BUILD, 'data', 'entities', '*.js');
DatabaseConnector.migrationsPath = path_1.default.join(tool_1.PathsResolverTool.BUILD, 'data', 'migrations', '*.js');
//# sourceMappingURL=database-connector.js.map