"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const glob = __importStar(require("glob-promise"));
const promisified_fs_tool_1 = __importDefault(require("./promisified-fs.tool"));
class PathsResolverTool {
    static async loadFilesToCompile() {
        return glob.promise('src/**/*.{ts,js}').then((array) => array.map((file) => path_1.join(process.cwd(), file)));
    }
}
exports.default = PathsResolverTool;
PathsResolverTool.ROOT = process.env.LAUNCHER === 'true' ? `${process.cwd()}/packages/client-service` : process.cwd();
PathsResolverTool.DIST = path_1.join(PathsResolverTool.ROOT, 'dist');
PathsResolverTool.SRC = path_1.join(PathsResolverTool.ROOT, 'src');
PathsResolverTool.DATA = path_1.join(PathsResolverTool.SRC, 'data');
PathsResolverTool.ENTITIES = path_1.join(PathsResolverTool.DATA, 'entities');
PathsResolverTool.MIGRATIONS = path_1.join(PathsResolverTool.DATA, 'migrations');
PathsResolverTool.BUILD = path_1.join(PathsResolverTool.ROOT, '.build');
PathsResolverTool.SCHEMA = path_1.join(PathsResolverTool.SRC, 'schema.graphql');
PathsResolverTool.RESOLVERS = path_1.join(PathsResolverTool.SRC, 'resolvers');
PathsResolverTool.QUERIES = path_1.join(PathsResolverTool.RESOLVERS, 'queries');
PathsResolverTool.MUTATIONS = path_1.join(PathsResolverTool.RESOLVERS, 'mutations');
PathsResolverTool.REST = path_1.join(PathsResolverTool.SRC, 'rest');
PathsResolverTool.resolvePath = async (path) => {
    try {
        await promisified_fs_tool_1.default.access(path);
        return true;
    }
    catch (e) {
        return false;
    }
};
//# sourceMappingURL=paths-resolver.tool.js.map